<?php

use EuKit\Base\SiteLayout;
use Infomaker\Everyware\Base\Utilities;
use Infomaker\Everyware\Twig\View;
use EuKit\Base\Parts\NewsMLArticle;
use EuKit\Base\ViewModels\ArticlePage;
use Infomaker\Everyware\Base\Models\Page;

$current_page = Page::current();

if ($current_page instanceof Page) {

    $article = NewsMLArticle::createFromPost($current_page);

    if( ! $article instanceof NewsMLArticle) {
        Utilities::trigger404();
    }

    SiteLayout::setContentSizes('article', [
        'xs' => 12,
        'sm' => 12,
        'md' => 8,
        'lg' => 6,
    ]);
    $articlePage = new ArticlePage($article);

    View::render('@base/page/article-page', $articlePage->getViewData());
}
